<?php


namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Event;
use Illuminate\Http\Request;

use Inertia\Inertia;
use App\Traits\UploadTrait;
class EventController extends Controller
{

        /**
     * Display a listing of the resource.
     * @return Renderable
     */
    use UploadTrait;
   // use eventservice;
    public function __construct(){
        $this->middleware('permission:events-create', ['only' => ['create','store']]);
        $this->middleware('permission:events-update',   ['only' => ['edit','update']]);
        $this->middleware('permission:events-read',   ['only' => ['show', 'index']]);
        $this->middleware('permission:events-delete',   ['only' => ['destroy']]);
        $this->middleware('permission:events-eye',   ['only' => ['eye']]);
    }
    public function eye($id)
    {
        $active = Event::find($id);
        if ($active->active == 1) {$active->active = 0;} else {$active->active = 1;}$active->save();
        // return $active->active;
        return response()->json(["success" => true, "eye" => $active], 200);
    }
    public function index(Request $request)
    {
        $per_page = $request->itemsPerPage ?? 10;
        $orderBy = $request->sortBy ?? "id";
        $orderDir = $request->sortDesc ?? "desc";
       $events = Event::orderBy($orderBy, $orderDir)
            ->filter($request->only('search'))
            ->paginate($per_page)
            ->appends(['search' => $request->only('search')]);
        if ($request->wantsJson()) {
            return $events;
        }
        return Inertia::render("Admin/Event/Index", ["events" => $events]);
    }

    /**
     * Show the form for creating a new resource.
     * @return Renderable
     */
    public function create()
    {

        return Inertia::render("Admin/Event/Create");
    }

    /**
     * Store a newly created resource in storage.
     * @param Request $request
     * @return Renderable
     */
    public function store(Request $request)
    {


     // text_event
    // date_start
    // date_end
    // text_event_en
    //day
    // month
    // year
    // show_hijris
    // show_alert
    // show_alert_time_in

    // dd($request);
        $request->validate([
            'text_event' => 'required',
            'day'         => 'required|integer',
            'month'         => 'required|integer',
        ]);
        $events = new Event();
        $events->user_id =auth()->user()->id;
        $events->text_event = $request->text_event;
        $events->text_event_en = $request->text_event_en;
        $events->date_start = $request->date_start;
        $events->date_end = $request->date_end;
        $events->day = $request->day;
        $events->month = $request->month;
        $events->year = $request->year;
        $events->show_hijris = $request->show_hijris;
        $events->show_alert = $request->show_alert;
        $events->show_alert_time_in = $request->show_alert_time_in;

        $events->save();
        return redirect()->route("events.index")->with('success', 'تم اضافة  بنجاح');
    }

    /**
     * Show the specified resource.
     * @param int $id
     * @return Renderable
     */
    public function show($id)
    {

    }

    /**
     * Show the form for editing the specified resource.
     * @param int $id
     * @return Renderable
     */
    public function edit($id)
    {
        $events =  Event::find($id);
        return Inertia::render("Admin/Event/Edit", ["events" => $events]);
    }

    /**
     * Update the specified resource in storage.
     * @param Request $request
     * @param int $id
     * @return Renderable
     */
    public function update(Request $request,$id)
    {
        $request->validate([
            'text_event' => 'required',
            'day'         => 'required|integer',
            'month'         => 'required|integer',
        ]);
        $events =  Event::find($id);
        $events->user_id =auth()->user()->id;
        $events->text_event = $request->text_event;
        $events->text_event_en = $request->text_event_en;
        $events->date_start = $request->date_start;
        $events->date_end = $request->date_end;
        $events->day = $request->day;
        $events->month = $request->month;
        $events->year = $request->year;
        $events->show_hijris = $request->show_hijris;
        $events->show_alert = $request->show_alert;
        $events->show_alert_time_in = $request->show_alert_time_in;

        $events->save();
        return redirect()->route("events.index")->with('success', 'تم التعديل   بنجاح');
    }

    /**
     * Remove the specified resource from storage.
     * @param int $id
     * @return Renderable
     */
    public function destroy($id)
    {
    $events= Event::find($id);
    $this->deleteImage($events->image);
    $events->delete();
    return true;
    }
}
