<?php
namespace App\Http\Controllers\Admin;
use App\Http\Controllers\Controller;
use App\Models\Location;
use App\Models\PrayerTime;
use Illuminate\Http\Request;
use Inertia\Inertia;
use App\Traits\UploadTrait;

class PrayerTimeController extends Controller
{
 /**
 * Display a listing of the resource.
 * @return Renderable
 */
use UploadTrait;
// use prayer_timeservice;
public function __construct(){
    $this->middleware('permission:prayer_times-create', ['only' => ['create','store']]);
    $this->middleware('permission:prayer_times-update',   ['only' => ['edit','update']]);
    $this->middleware('permission:prayer_times-read',   ['only' => ['show', 'index']]);
    $this->middleware('permission:prayer_times-delete',   ['only' => ['destroy']]);
    $this->middleware('permission:prayer_times-eye',   ['only' => ['eye']]);
}
public function eye($id)
{
    $active = PrayerTime::find($id);
    if ($active->active == 1) {$active->active = 0;} else {$active->active = 1;}$active->save();
    // return $active->active;
    return response()->json(["success" => true, "eye" => $active], 200);
}
public function index(Request $request)
{
    $per_page = $request->itemsPerPage ?? 10;
    $orderBy = $request->sortBy ?? "id";
    $orderDir = $request->sortDesc ?? "desc";
   $prayer_times = PrayerTime::orderBy($orderBy, $orderDir)
        ->filter($request->only('search'))
        ->paginate($per_page)
        ->appends(['search' => $request->only('search')]);
    if ($request->wantsJson()) {
        return $prayer_times;
    }
    return Inertia::render("Admin/PrayerTime/Index", ["prayer_times" => $prayer_times]);
}
/**
 * Show the form for creating a new resource.
 * @return Renderable
 */
public function create()
{
    $locations =  Location::all();
    return Inertia::render("Admin/PrayerTime/Create", ["locations" => $locations]);
    // return Inertia::render("Admin/PrayerTime/Create");
}
/**
 * Store a newly created resource in storage.
 * @param Request $request
 * @return Renderable
 */
public function store(Request $request)
{
    // dd($request);
    $request->validate([
        'locations_id' => 'required',
        'month' => 'required',
        'day' => 'required',
        'fajr' => 'required',
        'duhur' => 'required',
        'asr' => 'required',
        'maghrib' => 'required',
        'isha' => 'required',
        'amsek' => 'required',
        'tsph' => 'required',
        'sunrise' => 'required',
    ]);
    // locations_id
        // month
        // day
        // fajr
        // duhur
        // asr
        // maghrib
        // isha
        // amsek
        // tsph
        // sunrise
    $prayer_times = new PrayerTime();
    $prayer_times->user_id =auth()->user()->id;
    $prayer_times->id = $request->locations_id.$request->month.$request->day;
    $prayer_times->locations_id = $request->locations_id;
    $prayer_times->month = $request->month;
    $prayer_times->day = $request->day;
    $prayer_times->fajr = $request->fajr;
    $prayer_times->duhur = $request->duhur;
    $prayer_times->asr = $request->asr;
    $prayer_times->maghrib = $request->maghrib;
    $prayer_times->isha = $request->isha;
    $prayer_times->tsph = $request->tsph;
    $prayer_times->amsek = $request->amsek;
    $prayer_times->sunrise = $request->sunrise;
    $prayer_times->save();
    return redirect()->route("prayer_times.index")->with('success', 'تم اضافة  بنجاح');
}
/**
 * Show the specified resource.
 * @param int $id
 * @return Renderable
 */
public function show($id)
{

}

/**
 * Show the form for editing the specified resource.
 * @param int $id
 * @return Renderable
 */
public function edit($id)
{
    $prayer_times =  PrayerTime::find($id);

    $locations =  Location::all();
    return Inertia::render("Admin/PrayerTime/Edit", ["prayer_times" => $prayer_times,"locations" => $locations]);
}

/**
 * Update the specified resource in storage.
 * @param Request $request
 * @param int $id
 * @return Renderable
 */
public function update(Request $request,$id)
{
    $request->validate([
        'locations_id' => 'required',
        'month' => 'required',
        'day' => 'required',
        'fajr' => 'required',
        'duhur' => 'required',
        'asr' => 'required',
        'maghrib' => 'required',
        'isha' => 'required',
        'amsek' => 'required',
        'tsph' => 'required',
        'sunrise' => 'required',
    ]);
    $prayer_times =  PrayerTime::find($id);
    $prayer_times->user_id   = auth()->user()->id;
    $prayer_times->id = $request->locations_id.$request->month.$request->day;
    $prayer_times->locations_id = $request->locations_id;
    $prayer_times->month = $request->month;
    $prayer_times->day = $request->day;
    $prayer_times->fajr = $request->fajr;
    $prayer_times->duhur = $request->duhur;
    $prayer_times->asr = $request->asr;
    $prayer_times->maghrib = $request->maghrib;
    $prayer_times->isha = $request->isha;
    $prayer_times->tsph = $request->tsph;
    $prayer_times->amsek = $request->amsek;
    $prayer_times->sunrise = $request->sunrise;
    $prayer_times->save();
    return redirect()->route("prayer_times.index")->with('success', 'تم التعديل   بنجاح');
}

/**
 * Remove the specified resource from storage.
 * @param int $id
 * @return Renderable
 */
public function destroy($id)
{
$prayer_times= PrayerTime::find($id);
$this->deleteImage($prayer_times->image);
$prayer_times->delete();
return true;
}
}
