<?php

namespace App\Http\Requests;


use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rule;


class UserRequest extends FormRequest
{

    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        if ($this->getMethod() == 'PATCH' || $this->getMethod() == 'PUT') {

            $id = $this->user; // we use this if we choose $id such as param in update func
//            $id = $this->user->id; // we use this if we choose Model Category $category  such as param in update func
        } else {
            $id = null;
        }

        $password=["password"=>'required',  'confirmed','string', 'min:8'];

        if($id == null){
                  return [
                      'name' => ['required', 'string', 'max:255'],
                      'email' => ['required', 'string', 'email', 'max:255',Rule::unique('users')],
                      'password' => $password,
                    //   'status' => ["required"],
                  ];
        }else{
            return [
                'name' => ['required', 'string', 'max:255'],
                'email' => ['required', 'string', 'email', 'max:255', Rule::unique('users')->ignore($id)],
                'password' => ['required_unless:password_confirmation,' . $this->password_confirmation,   $password],
                'password_confirmation' => ['same:password',  $password],
                // 'status' => ["required"],
            ];
        }

    }
    public function messages()
    {
        return [
            'name.required' => "هذا الحقل مطلوب",
            'name.string' =>  "يجب ان يكون هذا الحقل نصب",
            'name.max' =>  "يجب ألا يزيد الاسم عن 255 حرفًا",

            'email.unique' =>  "هذا :attribute موجود من قبل ",
            'display_name.string' =>  "يجب ان يكون هذا الحقل نصب",
            'email.required' => "هذا الحقل مطلوب",
            'email.email' => "يجب ان يكون البريد الاكتروني صحيح",

            'password.required' => "هذا الحقل مطلوب",
            'password.string' =>  "يجب ان يكون هذا الحقل نصب",
            'password.min' =>  " يجب أن تتكون كلمة المرور من 8 أحرف على الأقل",
            "password.confirmed"=>"تأكيد كلمة المرور غير متطابق",
            "password_confirmation.same"=>"تأكيد كلمة المرور غير متطابق",
            // 'status.required' => "هذا الحقل مطلوب",


        ];
    }

    public function attributes()
    {
        return [
            'name'   =>"الاسم",
            'email'   =>"البريد الالكتروني",
            'password'   =>"كلمة المرور ",
            'password_confirmation'   =>"تاكيد كلمة المرور ",
        ];
    }
}
