<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateSlidersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */

//     title
//     title_en
//     url
//     details
//     details_en
//     date_start
//     date_end
//     time_start
//     time_end

    public function up()
    {
        Schema::create('sliders', function (Blueprint $table) {
            $table->increments('id');

           $table->integer("user_id")->nullable();
            $table->text('title')->nullable();
            $table->text('details')->nullable();

            $table->string('title_en')->nullable();
            $table->string('details_en')->nullable();

            $table->string('url')->default('/');

            $table->date('date_start');
            $table->date('date_end');
            $table->time('time_start');
            $table->time('time_end');
            $table->boolean('active')->default(1);
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('sliders');
    }
}
