<?php

use Illuminate\Support\Facades\Cache;
use Illuminate\Support\Facades\Route;
use Inertia\Inertia;
Route::get('lang/{lang}', function ($lang) {
    if (in_array($lang, ['ar', 'en'])) {
        if (auth()->user()) {
            $user = auth()->user();
            $user->lang = $lang;
            $user->save();
        } else {
            if (session()->has('lang')) {
                session()->forget('lang');
            }
            session()->put('lang', $lang);
        }
    } else {

        if (auth()->user()) {
            $user = auth()->user();
            $user->lang = 'ar';
            $user->save();
        } else {
            if (session()->has('lang')) {
                session()->forget('lang');
            }
            session()->put('lang', 'ar');
        }
    }
   //  return Inertia::render()->back();
   // return   redirect()->back();//->with('error', 'هذا المستخدم غير موجود');
  return back();
});
Route::get('/phpfirebase_sdk','FirebaseController@index');
Route::group(['middleware' => "SetLang"], function () {
    Route::group(['middleware' =>  ['auth:sanctum', 'verified']], function () {


    Route::get('/', function () {
        return Inertia::render('Dashboard');
    })->name("dashboard");

    //////////////////////////////////////////////////////////////////////////////////////////
    Route::get('/settings',  function () {
        return Inertia::render('Admin/Settings/Index');
    })->name("settings.index");
    //////////////////////////////////////////////////////////////////////////////////////////
    Route::resource("users", "Admin\UserController");

    //////////////////////////////////////////////////////////////////////////////////////////

    Route::resource('roles', 'Admin\RoleController');
    /////////////////////////////////////////////////////////////////////////////////////////

    Route::resource('boycott_products', 'Admin\BoycottProductController');

    Route::post('boycott_products/update2', 'Admin\BoycottProductController@update2')->name("boycott_products.update2");
    Route::get('boycott_products/eye/{id}', 'Admin\BoycottProductController@eye')->name("boycott_products.eye");
    Route::get('boycott_products/destroy/{id}', 'Admin\BoycottProductController@destroy')->name("boycott_products.destroy");
    /////////////////////////////////////////////////////////////////////////////////////////

    Route::resource('boycott_categories', 'Admin\BoycottCategoryController');
    Route::post('boycott_categories/update2', 'Admin\BoycottCategoryController@update2')->name("boycott_categories.update2");
    Route::get('boycott_categories/eye/{id}', 'Admin\BoycottCategoryController@eye')->name("boycott_categories.eye");
    Route::get('boycott_categories/destroy/{id}', 'Admin\BoycottCategoryController@destroy')->name("boycott_categories.destroy");
    /////////////////////////////////////////////////////////////////////////////////////////

    Route::resource('/boycott_companies', 'Admin\BoycottCompanyController');

    Route::post('boycott_companies/update2', 'Admin\BoycottCompanyController@update2')->name("boycott_companies.update2");
    Route::get('boycott_companies/eye/{id}', 'Admin\BoycottCompanyController@eye')->name("boycott_companies.eye");
    Route::get('boycott_companies/destroy/{id}', 'Admin\BoycottCompanyController@destroy')->name("boycott_companies.destroy");
    /////////////////////////////////////////////////////////////////////////////////////////

    Route::resource('calendar_hijris', 'Admin\CalendarHijriController');
    Route::get('calendar_hijris/eye/{id}', 'Admin\CalendarHijriController@eye')->name("calendar_hijris.eye");
    Route::get('calendar_hijris/destroy/{id}', 'Admin\CalendarHijriController@destroy')->name("calendar_hijris.destroy");
    //////////////////////////////////////////////////////////////////////////////////////////

    Route::resource('calendar_tepyans', 'Admin\CalendarTepyanController');
    Route::get('calendar_tepyans/eye/{id}', 'Admin\CalendarTepyanController@eye')->name("calendar_tepyans.eye");
    Route::get('calendar_tepyans/destroy/{id}', 'Admin\CalendarTepyanController@destroy')->name("calendar_tepyans.destroy");
    //////////////////////////////////////////////////////////////////////////////////////////

    Route::resource('prayer_times', 'Admin\PrayerTimeController');
    Route::get('prayer_times/eye/{id}', 'Admin\PrayerTimeController@eye')->name("prayer_times.eye");
    Route::get('prayer_times/destroy/{id}', 'Admin\PrayerTimeController@destroy')->name("prayer_times.destroy");
    //////////////////////////////////////////////////////////////////////////////////////////

    Route::resource('locations', 'Admin\LocationController');
    Route::get('locations/eye/{id}', 'Admin\LocationController@eye')->name("locations.eye");
    Route::get('locations/destroy/{id}', 'Admin\LocationController@destroy')->name("locations.destroy");

    /////////////////////////////////////////////////////////////////////////////////////////
    Route::resource('phrases', 'Admin\PhrasesController');
    Route::get('phrases/eye/{id}', 'Admin\PhrasesController@eye')->name("phrases.eye");
    Route::get('phrases/destroy/{id}', 'Admin\PhrasesController@destroy')->name("phrases.destroy");

    //////////////////////////////////////////////////////////////////////////////////////////

    Route::resource('events', 'Admin\EventController');
    Route::get('events/eye/{id}', 'Admin\EventController@eye')->name("events.eye");
    Route::get('events/destroy/{id}', 'Admin\EventController@destroy')->name("events.destroy");

        //////////////////////////////////////////////////////////////////////////////////////////

        Route::resource('sliders', 'Admin\SliderController');
        Route::get('sliders/eye/{id}', 'Admin\SliderController@eye')->name("sliders.eye");
        Route::get('/sliders/destroy/{id}', 'Admin\SliderController@destroy')->name("sliders.destroy");

    });
    // php artisan cache:clear
    // php artisan config:clear
    // php artisan view:clear
});
Route::get('assets/lang', function () {
    $strings = Cache::remember('lang.js', 2, function () {
        $lang = auth()->user()->lang;//config('app.locale');
        $files = glob(resource_path('lang/'.$lang.'/*.php'));
        $strings = [];
        foreach ($files as $file) {
            $name = basename($file, '.php');
            $strings[$name] = require $file;
        }
        return $strings;
    });

  //  header('Content-Type: text/javascript');

  //return json_encode($strings);
  return response()->json(["success" => true, "langer" =>$strings], 200);
  //   return  'langer = '.json_encode($strings).';';
    //echo 'window.i18n = '.json_encode($strings).';';
 //   exit();
})->name('assets.lang');
